<div style="background-color: #E5E5E5;padding:0px; margin:0px;">
  <div style="display:inline-block;" class="col-s-6 info-box">
    <!-- <form [formGroup]="profileForm" (ngSubmit)="onSubmit()" #f="ngForm" > -->
      <!-- In Upper line, the #f case error inside console. it could not find property ngForm . that was the reason -->
      <form [formGroup]="profileForm" (ngSubmit)="onSubmit()"  >
      <p  class="main-header"> Register Form</p>
      <label>
        <p class="titles">Name </p>
        <input type="text" formControlName="name" class="form-control inBox" id="nameBox">
        <div  *ngIf="name.touched && name.invalid" class="alert">
          <div class="alert-danger">
            <div *ngIf="name.errors.required">Name is Required</div>
            <div *ngIf="name.errors.minlength">Name should be at least 3 character</div>
            <div *ngIf="name.errors.cannotContainSpace">Name can not contain space</div>
          </div>
          

        </div>
      </label>
      <br>
    

      <label>
       <p class="titles"> Username:</p>
        <input type="text" formControlName="userName" class="form-control inBox" id="usernameBox">
        <div  *ngIf="userName.touched && userName.invalid" class="alert ">
          <div class="alert-danger">
            <div *ngIf="userName.errors.required">Username is Required</div>
            <div *ngIf="userName.errors.minlength">Username should be at least 5 character</div>
            <div *ngIf="userName.errors.cannotContainSpace">Username can not contain space</div>
          </div>
        </div>
      </label>
      <br>
    
      <label>
       <p class="titles"> Email:</p>
        <input type="text" formControlName="theEmail" class="form-control inBox" id="emailBox">
        <div  *ngIf="theEmail.touched && theEmail.invalid" class="alert ">
          <div class="alert-danger">
            <div *ngIf="theEmail.errors.required">E-mail is Required</div>
          <div *ngIf="theEmail.errors.minlength">E-mail should be at least 13 character</div>
          <div *ngIf="theEmail.errors.cannotContainSpace">Email can not contain space</div>
          </div>
        </div>
      </label>
      <br>
    
      <label>
        <p class="titles">Mobile</p>
        <input type="text" formControlName="mobileN" class="form-control inBox" id="mobileBox">
        <div  *ngIf="mobileN.touched && mobileN.invalid" class="alert ">
          <div class="alert-danger">
            <div *ngIf="mobileN.errors.required">Mobile-Number is Required</div>
            <div *ngIf="mobileN.errors.minlength">Mobile-Number should be at least 11 character</div>
            <div *ngIf="mobileN.errors.pattern">Phone Number should includes 09 in the first</div>
          </div>
        </div>
      </label>
      <br>
    
      <label>
        <p class="titles">Job title:</p>
        
         <div class="mb-3 form-control">
          <select class="custom-select" (change)="changeJob($event)" formControlName="jobTitle">
         
            <option value="">Choose your job title</option>
            <option *ngFor="let job of emptyJobs" [ngValue]="job">{{job}}</option>
          </select>
        </div>          
      </label>
      <br>
      <label>
        <p class="titles">Password</p>
        <input type="text" formControlName="thePassword" class="form-control inBox" id="passwordBox">
        <div  *ngIf="thePassword.touched && thePassword.invalid" class="alert ">
          <div class="alert-danger">
            <div *ngIf="thePassword.errors.required">Password is Required</div>
            <div *ngIf="thePassword.errors.minlength">Password should be at least 3 character</div>
          </div>
        </div>
      </label>
      <br>
      <!-- <p>{{f.value | json}}</p> -->
    <button type="submit" [disabled]="!profileForm.valid" class="btn btn-primary">Submit</button>
    </form>
    </div>
    
    
    <div  class="col-s-6 report-box" >
    <div *ngIf="userInputs" class="info-box" >
      <!-- <p>{{userInputs| json }}</p> -->
       <p class="answers"> name : {{userInputs.name}}</p>
      <p class="answers"> username: {{userInputs.userName}}</p>
      <p class="answers">Email : {{userInputs.theEmail}}</p>
      <p class="answers">phone: {{userInputs.mobileN}}</p>
      <p class="answers"> job: {{userInputs.jobTitle}}</p>
      <p class="answers">pass: {{userInputs.thePassword}}</p>
    </div>
    </div>
    
    
    
    
    
</div>


<!-- <p>new-reactive-register-form works!</p> -->
<!-- <label>
  Name:
  <input type="text" [formControl]="name">
</label> -->

<!-- نمایش دهنده ی داده ها  -->
<!-- <p>  Value: {{ name.value }} </p> -->
<!-- دکمه ی ارسال اطلاعات  -->
<!-- <p>  <button (click)="updateName()">Update Name</button> </p> -->
